aboutsummaryrefslogtreecommitdiff
path: root/works/teapot/script/build-deb.bash
diff options
context:
space:
mode:
authorcrupest <crupest@outlook.com>2023-10-17 22:02:25 +0800
committercrupest <crupest@outlook.com>2023-10-17 22:02:25 +0800
commite09b474e2e9fb9ae87536bdce5c8df3c5f8006ee (patch)
tree8554f8c4de21603d13dd5d306514c77e14f083df /works/teapot/script/build-deb.bash
downloadcrupest-e09b474e2e9fb9ae87536bdce5c8df3c5f8006ee.tar.gz
crupest-e09b474e2e9fb9ae87536bdce5c8df3c5f8006ee.tar.bz2
crupest-e09b474e2e9fb9ae87536bdce5c8df3c5f8006ee.zip
import(teapot): Startup!
Diffstat (limited to 'works/teapot/script/build-deb.bash')
-rwxr-xr-xworks/teapot/script/build-deb.bash12
1 files changed, 12 insertions, 0 deletions
diff --git a/works/teapot/script/build-deb.bash b/works/teapot/script/build-deb.bash
new file mode 100755
index 0000000..954d026
--- /dev/null
+++ b/works/teapot/script/build-deb.bash
@@ -0,0 +1,12 @@
+set -e
+
+mkdir -p build
+pushd build
+cmake .. "-DCMAKE_BUILD_TYPE=RelWithDebInfo"
+make
+mkdir -p package
+cmake --install . --prefix ./package/
+mkdir -p package/DEBIAN
+cp ../debian/control ./package/DEBIAN/control
+dpkg-deb --root-owner-group --build package
+popd